xmlwrapp Lightweight C++ XML parsing library

Classes | Namespaces
attributes.h File Reference
`#include "xmlwrapp/init.h"`
`#include "xmlwrapp/export.h"`
`#include <cstddef>`
`#include <iosfwd>`
`#include <string>`
Include dependency graph for attributes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | xml::attributes
| The xml::attributes class is used to access all the attributes of one xml::node. More...
class | xml::attributes::attr
| The xml::attributes::attr class is used to hold information about one attribute. More...
class | xml::attributes::iterator
| Iterator class for accessing attribute pairs. More...
class | xml::attributes::const_iterator
| Const Iterator class for accessing attribute pairs. More...

## Namespaces
| xml
| XML library namespace.

## Detailed Description

This file contains the definition of the xml::attributes class.